List
| Scope | Required |
|---|---|
deployments:read | Yes |
Authorizations
The API key to use for authentication. Retrieve your API key from the Miru dashboard.
Query Parameters
The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.
x >= 0The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.
1 <= x <= 100The order to sort the deployments.
id:asc, id:desc, created_at:desc, created_at:asc The fields to expand in the deployments list.
total_count, device, release, config_instances The deployment ID to filter by.
"dpl_123"
The deployment target status to filter by. Desired state of the deployment.
- Staged: is ready to be deployed
- Deployed: all config instances part of the deployment are available for consumption on the device
- Archived: the deployment is available for historical reference but cannot be deployed and is not active on the device
staged, deployed, archived The deployment activity status to filter by. Last known activity state of the deployment.
- Validating: the deployment's config instances are being validated with user's custom validation
- Needs review: deployment needs to be reviewed before it can be deployed
- Staged: is ready to be deployed
- Queued: the deployment's config instances are waiting to be received by the device; will be deployed as soon as the device is online
- Deployed: the deployment's config instances are currently available for consumption on the device
- Removing: the deployment's config instances are being removed from the device
- Archived: the deployment is available for historical reference but cannot be deployed and is not active on the device
validating, needs_review, staged, queued, deployed, removing, archived The deployment error status to filter by. Last known error state of the deployment.
- None: no errors
- Retrying: an error has been encountered and the agent is retrying to reach the target status
- Failed: a fatal error has been encountered; the deployment is archived and (if deployed) removed from the device
none, failed, retrying The deployment device ID to filter by.
"dvc_123"
The deployment release ID to filter by.
"rls_123"
Response
Successfully listed the deployments.
list "list"
The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand[]=total_count) to get the total number of items in the list.
The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.
1 <= x <= 100The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.
x >= 0True if there are more items in the list to return. False if there are no more items to return.
false

